function [sr sn]=GetSensorReadings(R)
% Get the current sensor readings from a robot.
%
% Returns cell arrays with the current sensor readings (sr) and the
% associated noise (sn).

   sr=cell(1,R.nSensors);
   sn=cell(1,R.nSensors);
   for i=1:R.nSensors
     [sr{i} sn{i}]=ReadSensor(R.sensors{i},R.time);
   end
   