function CC=GetCrossCovarianceWithPose(F,step)
% Cross covariance of a given pose with the current one.
%
% Each filter implements is own way to get the cross covariance between
% the pose at time 'step' and the current robot's pose.
% If a filter does not provide such a method, this will be used.
% We simple trigger and error indicanting that a method is mising.

  error('GetCrossCovarianceWithPose is not implemented in this type of filter');
