function L=NoLoops(F)
% Avoids any loop to be stablished. 
%
% One of the possible loop detection procedures using the information in
% the filter.
% This is a naive procedure that never proposes any loop closure. With
% this, no loop will be integrated into the filtering and the robot
% operates in open loop.
%
% Parameters
%   F: The filter from where to get the information (not used actually).
% Outputs:
%   L: Always an empty cell array.
%
% See also AllLoops, DetectLoops, TreeDetectLoops.

  L={};
	