function F=Update(F,step,overwritePose)
% Adds a pose to the filter.
%
% Updates the generic filter information when a new pose is added to the
% trajectory.
% The parameters are not used but we keep them for compatibility with the
% particular Update methods for specific filters.
%
  if overwritePose
		F.Step2State(F.State2Step(F.nStates))=-1;
	else
		F.nStates=F.nStates+1;
  end
  
  F.nSteps=F.nSteps+1; % == step
  F.State2Step(F.nStates)=step;
  F.Step2State(step)=F.nStates;

