function G=subsref(F,S)
% Extract the estimation of several poses from the filter (operator: {}).
%
% Returns a cell array with the pose estimations of the selected set of
% steps.
%
% See also GetPoseEstimation.

  if strcmp(S.type,'{}')
    G=cell(1,size(S.subs{:}));
    i=1;
    for step=S.subs{:}
      G{i}=GetPoseEstimation(F,step);
      i=i+1;
    end
  end
  