function d=Distance(I,v)
% Distance of a point to an interval matrix.
%
% Distance of a point, v, w.r.t. an interval, I.
%
% In the current implementation it only works for one-dimensional
% intervals.
%   
% Todo % check if this is actually used.

  if (I.r==1) && (I.c==1) && (isa(v,'double')) && (size(v,1)==1) && (size(v,2)==1)
    if IsInside(I,v)
      d=0;
    else
      d=min(abs([I.lower I.upper]-v));
    end
  else
    error('Wrong parameter type in interval distance');
  end