function Iout=Intersection(I1,I2)
% Intersection between interval matrices.
%
% Intersection of two interval matrices, I1, I2.
% If one of the intervals is empty, an error is triggered.

  Iout.lower=max(I1.lower,I2.lower);
  Iout.upper=min(I1.upper,I2.upper);
  Iout.r=I1.r;
  Iout.c=I1.c;
  Iout=class(Iout,'Interval');

	