function Iout=subsref(I,S)
% Gets part of a interval matrix (operator: ()).
%
% Extracts a sub-matrix from an interval matrix, I.
% S provides information about the sub-matrix to recover.

  if strcmp(S.type,'()')
    Iout.lower=I.lower(S.subs{:});
    Iout.upper=I.upper(S.subs{:});
    [Iout.r Iout.c]=size(Iout.lower);
    Iout=class(Iout,'Interval');
  else
    error('Undefined subsref type');
  end
  
