function Iout=zerosInt(varargin)
% Iout=zerosInt(varargin)
%   Generates an interval matrix where all entries are punctual intervals
%   with value 0. The parameters give the size of the the matrix to be
%   generated.
%   
%   This is the interval counterpart of function 'zeros'.   
%
%   See also zeros.
  Iout=Interval(zeros(varargin{1:end}));