function out=get(P,field)
% Get function for poses.
%
% Retrives information from a pose. In the current implementation poses
% are defined in SO(2) thus, the fiels you can query are 'x', 'y', and
% 'orientation'

  switch field
    case 'spaceDim'
      out=2; % 2D poses are defined in a 2D space
    case 'x'
      out=P.data(1);
    case 'y'
      out=P.data(2);
    case 'orientation'
      out=P.data(3);
    otherwise
      error('Unknow field in Pose get');
  end
  