function [r n]=ReadSensor(S,t)
% Returns the sensor reading for time t.
%
% Returns the sensor reading according to the given sensor at a given
% time slice.
%
% Returns the sensor reading at time t (r) with the associated nosie (n).
% In this case the nosie is a constant covariance matrix.
%
% Todo % Implement sensors with a more complex error model (right
%        now only sensors with constant noise are implemented).

  r=S.readings{t};
  n=S.noise;
 