function [lc d n]=SensorLoopCloses(S,i,j) 
% Checks if two laser scan can be properly aligned.
%
%   Checks if the sensor readings at time 'i'and those at time 'j' 
%   can be registered, i.e., if a link can be stablished between poses 'i'
%   and 'j' attending to the corresponding sensor readings.
%   If so, it retusn the displacement between the two poses and the noise
%   associated with this displacement.
%
%   The default behavior is not to form any link. Specific sensors
%   (e.g., SimOdometryWithLoopClosure) can overide this behavior.

  lc=false;      % default output NO LOOP
  d=0;
  n=0;