function [sr sn]=GetOdometry(R)
% Get the odometry readings witht the different available sensors.
%
% Returns cell arrays with the current odometry readings (sr) and the
% associated noise (sn) for the available odometry sensors.

  k=1;
  sr={};
  sn={};
  for i=1:R.nSensors
    if isa(R.sensors{i},'RelPosSensor')
      [r n]=ReadSensor(R.sensors{i},R.time);
      sr{k}=r;
      sn{k}=n;
      k=k+1;
    end
  end
