function G=GetPoseEstimation(F,step)
% Estimation of a given pose.
%
% Returns a Gaussian with the mean and marginal covariance for a the pose
% obtained at time 'step'.
%
% Each filter implements is own way to get the marginal mean and
% covariance.
% If a filter does not provide such a method, this will be used.
% We simple trigger and error indicanting that a method is mising.

  error('A filter without a GetPoseEstimation method??');
	