function m=GetPoseMean(F,step)  
% Mean estimation of a given pose.
%
% Return the mean for the pose obtained at time 'step'
% 
% Note that each filter has a different way of computing the mean.
% This is hidden in this function since it uses the 
% GetPoseEstimation that can have particular implementations for each 
% filter.
%
% See also GetPoseEstimation.

  m=get(GetPoseEstimation(F,step),'mean');
