function CC=GetCrossCovarianceWithPose(FF,step)
% Cross covariance of a given pose with the current one.
% 
% Returns the croos covariance of the pose at time slice 'step' with the
% current robot's pose.

  cs=get(FF,'nSteps'); % current step
  
  if step<cs
    CC=get(FF.PoseData{Step2State(FF.P_Filter,step)},'crossCovarianceData')*FF.F;
  else
    CC=GetPoseCovariance(FF,step);
  end