function S=GetPoseCovariance(F,step)
% Covariance estimation of a given pose.
%
% Return the marginal covariance for the pose obtained at time 'step'
%   
% This overides the generic Filter implementation providing a faster
% access to the covariance.

  S=get(F.PoseData{Step2State(F.P_Filter,step)},'covariance');
  