function Iout=Union(d1,d2)
% Iout=Union(d1,d2)
%   Produces an interval vector that includes the two given double vector.
%   This is the function that is used in tree constructor when we fuse the
%   information of two leaves that store vectors of doubles. 
%   If one of the inputs is an interval the  Interval/Union is used
%   instead.
%
%   See also Interval/Union.m, BTree.m.

  Iout=Interval(min(d1,d2),max(d1,d2));
  