function Iout=Offset(I,o)
% Offsets an interval matrix.
%
% Offsets an interval matrix, I, by a constant real factor, o.

  Iout.lower=I.lower+o;
  Iout.upper=I.upper+o;
  Iout.r=I.r;
  Iout.c=I.c;
  Iout=class(Iout,'Interval');