function Iout=Scale(I,s)
% Scales an interval matrix.
%
% Scales an interval matrix, I, by a constant real factor, s.

  if s>0
    Iout.lower=s*I.lower;
    Iout.upper=s*I.upper;
  else
    Iout.lower=s*I.upper;
    Iout.upper=s*I.lower;
  end
  Iout.r=I.r;
  Iout.c=I.c;
  Iout=class(Iout,'Interval');