function Iout=plus(I1,I2)
% Adds two intervals (operator: +).
%
% Adds two interval matrices, I1, I2.
% It accepts mixed real/interval matrices as inputs.

  if isa(I1,'double')
    Iout.lower=I1+I2.lower;
    Iout.upper=I1+I2.upper;
    Iout.r=I2.r;
    Iout.c=I2.c;
    Iout=class(Iout,'Interval');
  else
    if isa(I2,'double')
      Iout.lower=I1.lower+I2;
      Iout.upper=I1.upper+I2;
      Iout.r=I1.r;
      Iout.c=I1.c;
      Iout=class(Iout,'Interval');
    else
      Iout.lower=I1.lower+I2.lower;
      Iout.upper=I1.upper+I2.upper;
      Iout.r=I1.r;
      Iout.c=I1.c;
      Iout=class(Iout,'Interval');
    end
  end
