function varargout=size(I,varargin)
% Size (rows/columns) of an interval matrix.
%
% Returns the size (rows,columns) of an interval matrix.
% It accepts a second parameter to select the dimension whose
% size we are interested in.

  if nargin>1
    s=[I.r I.c];
    varargout{1}=s(varargin{1});
  else
    varargout={I.r I.c};
  end
	