function Iout=onesInt(varargin)
% Interval matrix with ones.
%
% Generates an interval matrix where all entries are punctual intervals
% with value 1. The parameters give the size of the the matrix to be
% generated.
%   
% This is the interval counterpart of function 'ones'.   
%
% See also ones.

  Iout=Interval(ones(varargin{1:end}));