function pt=HideLinkToNeighbour(Parameters,pt)
% Hides the line to a possible neighbour.
%
% While simulating the current robot pose and those tested for sensor
% registration are linked with a line. This function is used to hide this
% line.
%
% This is not in the P_Filter directory because it does not
% have a filter as an input.
%
% See also ShowLinkToNeighbour

  if Parameters.plot
    set(pt.loopTest,'linestyle','none','marker','none');
    drawnow;
  end