function np=NullPose(P)
% Checks is a pose is null.
%
% Returns true if a pose displacement is to be considered null.
% Sometimes sensors fail to give the displacement between to consecutive
% robot poses and then they return a null displacement  that should not be
% used in the filters.
%
% Todo % This function should be better called NullDisplacement.

  np=(norm(P.data)<1e-6);
  