function Pr=RotatePoseDisplacement(D,o)
% Rotates a pose displacement.
%
% Rotates 'o' radiants a given pose displacement, D.
% This is used to transform pose displacements between diferent frames of
% reference.

  R=[[ cos(o) -sin(o) 0];
	 	 [ sin(o)  cos(o) 0];
	   [      0       0 1]];
	Pr=Pose(R*D.data);
	
	 