function h=PlotSensor(S,varargin)
% Plots a sensors.
%
% Plots the trajectory as seen from the sensors readings given by 
% sensor, S.
%
% Two optional parameters are used to
%     - Decide wether to plot arrow indicating the orientation of the robot
%       at each step. If not given the orientation is not plotted.
%     - Select the color of the plotted trajecotry. If not given the
%       trajectory is plotted in green.
%
%   Returns the handler of the line representing the trajectory.

  if (nargin>1)
    c=varargin{1};
  else
    c='g';
	end
	if nargin>2
    arrows=varargin{2};
  else
    arrows=false;
  end
  poses=get(S,'absolutePoses');
  h=PlotPoseSequence(poses,c,arrows);
