% Sensors directory
%
% This directory includes a set of sensors that can be attached to the
% simulated robots. The sensors can be directly simulated or use data
% obtained with the real robots. 
%
% The objects defined here are:
%
%   - Sensor: The basic object common in all sensors. Includes the sensor
%     noise and the sensor readings, whatever they are.
%
%   - RelPosSensor (isa Sensor): Sensor tat give the displacement of the
%     robot (in robocentric coordinates).
%
%   - SimOdometry (isa RelPosSensor): Simulated odometry from a given
%     trajectory.
%
%   - SimOdometryWithLoopClosure (isa SimOdometry): Simulated odometry with
%     the extra facility of detecting loops between nearby poses.
%

